@import "../../node_modules/bootstrap/scss/bootstrap";
@import "animate.css";
@import "reset";
@import "vars";
@import "libs";
@import "fonts";

* {
    box-sizing: border-box;
}

.container-sm {
    @include media-breakpoint-up(lg) {
        max-width: 940px;
    }
}

body {
    position: relative;
    font-family: 'Roboto', sans-serif;
    overflow-x: hidden;
}

ul {
    padding: 0;
    list-style: none;
}

h1 {
    font-weight: bold;
    font-size: 48px;
    line-height: 46px;
    color: $text;
}

p {
    font-weight: normal;
    font-size: 18px;
    line-height: 24px;
}

.title-sm {
    color: $text;
    font-size: 16px;
    font-weight: 700;

    @include media-breakpoint-up(lg) {
        font-size: 18px;
    }
}

.actLine {

    @include media-breakpoint-up(lg) {
        position: absolute;
        left: 0;
        bottom: 0;
        border-bottom: 2px solid $red;
        width: 0;
        transition: left 500ms ease, width 500ms ease;
    }
}

.page-title {
    color: #233148;
}

.heading {
    font-weight: bold;
    font-size: 24px;
    color: $text;
    line-height: 26px;

    @include media-breakpoint-up(lg) {
        font-size: 48px;
        line-height: 46px;
    }
}

.text {
    font-weight: normal;
    font-size: 16px;
    line-height: 24px;

    @include media-breakpoint-up(lg) {
        font-size: 18px;
    }
}
.line {
    width: 1140px;
    height: 1px;
    border-bottom: 2px solid rgba(177, 186, 209, 0.3);
    margin-top: 20px;
    margin-bottom: 20px;
}

.wine {
    background: url("../images/promo-bg.svg") no-repeat right top/auto 100%, url("../images/background_header.svg") no-repeat center/cover;
    position: relative;
    padding-bottom: 40px;

    @include media-breakpoint-up(lg) {
        padding-bottom: 0;
    }

    header {
        position: relative;
        background: #fff;
        padding: 20px;
        box-shadow: 0 0 15px rgba(177, 186, 209, 0.15);
        border-radius: 15px;

        @include media-breakpoint-up(lg) {
            background: none;
            padding: 0;
            box-shadow: none;
            border-radius: 0;
        }

        .logo {
            width: 152px;
            height: 32px;
            z-index: 2;

            @include media-breakpoint-up(lg) {
                width: auto;
                height: auto;
            }

            img {
                width: 100%;
            }
        }
    }

    .navbar {
        width: 100%;
        position: absolute;
        left: 0;
        top: 0;
        padding: 0;
        z-index: 1;

        @include media-breakpoint-up(lg) {
            width: auto;
            position: static;
        }
    }

    .navbar-collapse {
        width: 100%;
        background-color: #fff;
        padding: 76px 0 0;
        box-shadow: 0 0 15px rgba(177, 186, 209, 0.15);
        border-radius: 15px;

        @include media-breakpoint-up(lg) {
            position: static;
            background: none;
            box-shadow: none;
            border-radius: 0;
            width: auto;
            padding: 0;
        }

        .social-media {
            border-top: 1px solid  rgba(177, 186, 209, 0.3);
            padding: 30px 0 0;
            margin: 40px 30px 30px;

            a {
                margin: 0 8px;
            }
        }
    }

    .navbar-toggler {
        z-index: 2;
        padding: 0;
        line-height: 0;
    }

    .burger {
        display: inline-block;
        cursor: pointer;
    }

    .bar1, .bar2, .bar3 {
        width: 24px;
        height: 2px;
        background-color: #B1BAD1;
        margin: 6px 0;
        transition: 0.4s;
    }

    .change .bar1 {
        transform: rotate(-45deg) translate(-6px,5px);
    }

    .change .bar2 {
        opacity: 0;
    }

    .change .bar3 {
        transform: rotate(45deg) translate(-6px,-6px);
    }

    &__nav {

        &__list {
            position: relative;
            flex-direction: column;

            @include media-breakpoint-up(lg) {
                flex-direction: row;
            }

            li {
                position: relative;
                margin: 0 0 20px;
                padding: 0;
                background: transparent;
                transition: all 0.2s;
                border-radius: 2px;

                @include media-breakpoint-up(lg) {
                    margin: 0 40px 0 0;
                    overflow: hidden;

                    &.last {
                        margin-right: 0;
                    }
                }

                a {
                    color: $text;
                    font-weight: 600;
                    font-size: 20px;

                    @include media-breakpoint-up(lg) {
                        font-size: 14px;
                    }

                    &:hover {
                        text-decoration: none;
                        color: $text;

                        &:after {
                            content: '';
                            position: absolute;
                            left: 50%;
                            bottom: -10px;
                            height: 2px;
                            width: 20px;
                            background: $red;
                            transform: translateX(-50%);

                            @include media-breakpoint-up(lg) {
                                display: none;
                            }
                        }
                    }
                }
            }
        }
    }

    &__title {
        width: 450px;

        @include media-breakpoint-up(lg) {
            margin-bottom: 140px;
        }

        h1 {
            margin-top: 40px;

            @include media-breakpoint-up(lg) {
                margin-top: 88px;
            }
        }

        p {
            margin: 40px 0;
            color: rgba(35, 41, 53, 0.5);
        }
    }

    &__btn {
        padding: 5px 30px;
        background: $red;
        border: 1px solid #fff;
        border-radius: 8px;
        overflow: hidden;
        color: #FFFFFF;
        cursor: pointer;
        transition: all 0.2s;

        &:hover, &:focus {
            background: #8e2428;
        }
    }

    .laptop {
        position: absolute;

        @include media-breakpoint-up(lg) {
            right: 0;
            bottom: -100px;
            width: 100%;
        }

        @include media-breakpoint-up(xl) {
            right: -100px;
            bottom: -205px;
            width: 755px;
            height: 500px;
        }

        img {
            width: 100%;
        }
    }
}
#section1 {
    background: url("../images/src/bg_section1.svg") no-repeat center top/auto 100%;
    padding: 135px 0 20px;
    margin-bottom: 20px;

    @include media-breakpoint-up(lg) {
        background-size: auto 500px;
        padding: 117px 0 0;
        margin-bottom: 80px;
    }

    #scene1 {
        @include media-breakpoint-up(lg) {
            margin-left: -100px;
        }
    }

    .line {
        margin-top: 40px;
        width: 100%;

        @include media-breakpoint-up(lg) {
            width: 1040px;
            margin-left: -50px;
        }
    }

    .content {
        margin-bottom: 30px;
    }

    .img1,
    .img2 {
        position: absolute;
        left: 0;
        top: 0;
    }

    .img2 {
        width: 326px;
        z-index: 4;
        img {
            position: absolute;
            top: -50px;
            left: 150px;
        }
    }

    .heading {
        margin: 0 0 20px;

        @include media-breakpoint-up(lg) {
            margin: 228px 0 40px;
        }
    }

    .row-text {
        font-size: 14px;
        color: $text;
        margin: 20px 0;

        @include media-breakpoint-up(lg) {
            margin: 75px 0 40px;
            font-size: 16px;
        }
    }
}
#section2 {
    .heading {
        margin-bottom: 20px;

        @include media-breakpoint-up(lg) {
            margin-bottom: 80px;
        }
    }
    .block {
        margin-bottom: 40px;
    }
    .circle {
        flex-shrink: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        box-shadow: 0 15px 30px rgba(117, 186, 209, 0.3);
        border: 16px solid #FFFFFF;
        border-radius: 50%;
        width: 94px;
        height: 94px;
        margin-right: 20px;
        img {
            width: 32px;
            height: 32px;
        }
    }
}
#section3 {
    margin-bottom: 80px;

    @include media-breakpoint-up(lg) {
        margin-bottom: 160px;
    }
    .mobiles {
        @include media-breakpoint-up(lg) {
            margin-top: -200px;
        }
    }
    .img5,
    .img6,
    .img7 {
        position: absolute;
        left: 0;
        top: 0;
    }
    .img5 {
        img {
            position: absolute;
            top: 40px;
            z-index: 5;
        }
    }
    .img6 {
        width: 200px;
        height: 500px;
        z-index: 7;
        img {
            position: absolute;
            left: 174px;
            top: -16px;
            box-shadow: 0 0 30px rgba(177, 186, 209, 0.3);
            border-radius: 15px;
        }
    }
    .img7 {
        width: 200px;
        height: 500px;
        z-index: 6;
        img {
            position: absolute;
            left: 116px;
            top: 92px;
            box-shadow: 0 0 30px rgba(177, 186, 209, 0.3);
            border-radius: 15px;
        }
    }
    .heading {
        margin: 40px 0;

        @include media-breakpoint-up(lg) {
            margin: 122px 0 40px;
        }
    }
    .text {
        color: $text;
        margin: 0 0 20px;
        font-size: 16px;

        @include media-breakpoint-up(lg) {
            margin: 0 0 40px;
            font-size: 18px;
        }
    }
}
#section4 {
    position: relative;
    margin-bottom: 50px;

    @include media-breakpoint-up(lg) {
        margin-bottom: 160px;
    }

    &:before {
        content: '';
        position: absolute;
        left: 0;
        top: -93px;
        width: 533px;
        height: 952px;
        background: url("../images/map-bg.svg") no-repeat left top/ 533px 952px;
        z-index: -1;
    }

    .map {
        @include media-breakpoint-up(lg) {
            position: absolute;
            left: 0;
            top: 110px;
            width: 46%;
            height: 100%;
            background: url("../images/map.svg") no-repeat left top/contain,
            url("../images/france.svg") no-repeat 90% 20%/100px 105px;
        }
    }
    .heading {
        margin-bottom: 20px;
        @include media-breakpoint-up(lg) {
            margin-bottom: 40px;
        }
    }
    .row-text {
        margin-bottom: 20px;
        @include media-breakpoint-up(lg) {
            margin-bottom: 80px;
        }
    }
    .title {
        @extend .title-sm;
        margin-bottom: 10px;
        @include media-breakpoint-up(lg) {
            margin-bottom: 26px;
        }
    }
    .list {
        list-style-type: none;
        margin: 0 0 20px;
        padding: 0;
        columns: 2;
        @include media-breakpoint-up(lg) {
            margin-bottom: 40px;
        }
        li {
            color: $text;
            font-size: 18px;
            margin-bottom: 20px;
            @include media-breakpoint-up(lg) {
                margin-bottom: 20px;
            }
            .checkbox {
                width: 18px;
                height: 18px;
                margin-right: 10px;
            }
        }
    }
}
#section5 {
    margin-bottom: 40px;
    background: url("../images/bg_section5.svg") no-repeat right top/contain;
    @include media-breakpoint-up(lg) {
        margin-bottom: 80px;
    }
    .img3,
    .img4 {
        position: absolute;
        left: 0;
        top: 0;
    }
    .img4 {
        width: 200px;
        img {
            position: absolute;
            left: 200px;

        }
    }
    .heading {
        margin: 0 0 20px;
        @include media-breakpoint-up(lg) {
            margin: 0 0 40px;
        }
    }
    .text {
        font-size: 16px;
        color: $text;
        margin: 0 0 20px;
        @include media-breakpoint-up(lg) {
            margin: 0 0 40px;
            font-size: 18px;
        }
    }
}
#section6 {
    position: relative;
    margin-bottom: 40px;
    @include media-breakpoint-up(lg) {
        margin-bottom: 80px;
    }
    &:before {
        content: '';
        position: absolute;
        left: 0;
        top: 0;
        width: 430px;
        height: 934px;
        background: url("../images/roadmap-bg.svg") no-repeat left top/ 430px 934px;
        z-index: -1;
    }
    .heading {
        margin-bottom: 20px;
        @include media-breakpoint-up(lg) {
            margin-bottom: 80px;
        }
    }
    .roadmap {
        display: flex;
        justify-content: space-between;
        flex-direction: column;
        @include media-breakpoint-up(lg) {
            flex-direction: row;
        }
        .left-col,
        .right-col {
            @include media-breakpoint-up(lg) {
                width: calc(50% - 22px);
            }
        }
        .right-col {
            position: relative;
            display: none;
            @include media-breakpoint-up(lg) {
                display: block;
            }
            &:before {
                content: '';
                position: absolute;
                left: -25px;
                top: 0;
                width: 5px;
                height: 100%;
                background: rgba(177, 186, 209, 0.15);
            }
        }
        .block {
            position: relative;
            padding: 10px 60px 10px 25px;
            border: 1px solid rgba(177, 186, 209, 0.3);
            border-radius: 15px;
            margin-bottom: 10px;
            @include media-breakpoint-up(lg) {
                margin-bottom: 0;
                padding: 30px 108px 30px 30px;
                &1 {
                    margin-bottom: 55px;
                }
                &3 {
                    margin-top: 10px;
                    margin-bottom: 60px;
                }
            }
            .title-sm {
                margin-bottom: 10px;
            }
            .num {
                position: absolute;
                right: 20px;
                top: 10px;
                width: 26px;
                height: 26px;
                display: flex;
                align-items: center;
                justify-content: center;
                background: $red;
                border-radius: 50%;
                color: #fff;
                border: 4px solid #eff0f3;
                box-sizing: content-box;
                @include media-breakpoint-up(lg) {
                    right: 30px;
                    top: 30px;
                    width: 38px;
                    height: 38px;
                    border: 10px solid #eff0f3;
                }
            }
        }
    }
}
#section7 {
    margin-bottom: 40px;
    @include media-breakpoint-up(lg) {
        margin-bottom: 80px;
    }
    .heading {
        margin-bottom: 20px;
        @include media-breakpoint-up(lg) {
            margin-bottom: 40px;
        }
    }
    .row-text {
        margin-bottom: 20px;
        @include media-breakpoint-up(lg) {
            margin-bottom: 80px;
        }
    }
    .block {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        margin-bottom: 20px;
        @include media-breakpoint-up(lg) {
            margin-bottom: 0;
        }
        .avatar {
            position: relative;
            width: 160px;
            height: 160px;
            padding: 5px;
            border-radius: 50%;
            background: #fff;
            box-shadow: 0 15px 30px rgba(177, 186, 209, 0.3);
            margin-bottom: 20px;
            @include media-breakpoint-up(lg) {
                margin-bottom: 40px;
            }
            img {
                width: 150px;
                height: 150px;
                border-radius: 50%;
            }
            &:after {
                content: '';
                position: absolute;
                left: -10px;
                top: -10px;
                width: 180px;
                height: 180px;
                background: #fff;
                box-shadow: 0 15px 30px rgba(177, 186, 209, 0.3);
                border-radius: 50%;
                z-index: -1;
            }
        }
        .position {
            margin-bottom: 20px;
            font-size: 16px;
            color: rgba(35, 41, 53, 0.5);
            @include media-breakpoint-up(lg) {
                margin-bottom: 40px;
            }
        }
        .text {
            color: $text;
            font-size: 14px;
        }
    }
}
#section8 {
    .block {
        position: relative;
        padding: 40px 30px;
        background: url("../images/background_header.svg") no-repeat center;
        border-radius: 30px;
        @include media-breakpoint-up(lg) {
            padding: 60px 85px 120px;
        }
    }
    .text {
        color: rgba(35, 41, 53, 0.5);
        margin-bottom: 20px;
        @include media-breakpoint-up(lg) {
            margin-bottom: 40px;
        }
    }
    .form-group{
        margin-left: 0;
        margin-right: 10px;
        width: 100%;
        @include media-breakpoint-up(lg) {
            width: 33.3%;
        }
    }
    .form-inline {
        flex-direction: column;
        @include media-breakpoint-up(lg) {
            flex-direction: row;
        }
    }
    .input {
        display: flex;
        position: absolute;
        justify-content: space-between;
        height: 398px;
        margin-top: 55px;
    }
    .email__user{
        width: 100%;
        height: 54px;
        padding-left: 20px;
        border: none;
        border-radius: 8px;
        background: #FFFFFF;
        margin-bottom: 20px;
        font-size: 16px;
        &:active,
        &:hover,
        &:focus {
            outline: 0;
            outline-offset: 0;
        }
        @include media-breakpoint-up(lg) {
            margin-bottom: 0;
        }
    }
    .inp_name {
        width: 100%;
        height: 54px;
        padding-left: 20px;
        border: none;
        border-radius: 8px;
        background: #FFFFFF;
        text-align: justify;
        font-size: 16px;

        &:active,
        &:hover,
        &:focus {
            outline: 0;
            outline-offset: 0;
        }
        @include media-breakpoint-up(lg) {
            margin: 0;
        }
    }
    .sub__btn{
        width: 100%;
        height: 54px;
        background: #FF4A3D;
        padding: 5px 30px;
        background: $red;
        border: 1px solid #fff;
        border-radius: 8px;
        overflow: hidden;
        color: #FFFFFF;
        cursor: pointer;
        transition: all 0.2s;
        font-size: 16px;
        margin-top: 23px;
        &:hover, &:focus {
            background: #8e2428;
        }
        @include media-breakpoint-up(lg) {
            width: 33.3%;
        }
    }
    .arrow {
        display: none;
        @include media-breakpoint-up(lg) {
            position: absolute;
            left: 97.5%;
            right: 0;
            top: 43%;
            bottom: 0;
            background: #FFFFFF;
            flex-shrink: 0;
            display: flex;
            align-items: center;
            justify-content: center;
            box-shadow: 0 15px 30px rgba(177, 186, 209, 0.3);
            border: 16px solid #FFFFFF;
            border-radius: 50%;
            width: 50px;
            height: 50px;
            margin-right: 10px;
            cursor: pointer;
        }
    }
    .heading {
        margin-bottom: 20px;
    }
}
#footer {
    .footer__nav {
        margin-top: 90px;
    }
    .block {
        margin: 0 0 20px;
        @include media-breakpoint-up(lg) {
            margin: 40px 0 20px;
        }
    }
    .row-text {
        padding-top: 15px;
        font-size: 14px;
        line-height: 18px;
        color: rgba(35, 41, 53, 0.5);
        margin: 0;

        .color__text {
            color: $red;
        }
    }
    .circle {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-shrink: 0;
        box-shadow: 0 15px 30px rgba(177, 186, 209, 0.3);
        border: 16px solid #FFFFFF;
        border-radius: 50%;
        width: 50px;
        height: 50px;
        margin-right: 10px;
        @include media-breakpoint-up(lg) {
            margin-right: 20px;
            width: 64px;
            height: 64px;
        }
        img {
            width: 24px;
            height: 24px;
        }
    }
    .social {
        margin: 28px 0 40px;
    }
    .line {
        width: 100%;
        height: 1px;
        border-bottom: 2px solid rgba(177, 186, 209, 0.3);
        margin-top: 20px;
        margin-bottom: 20px;
        @include media-breakpoint-up(lg) {
            width: 1310px;
        }
    }
    .heading {
        margin-bottom: 20px;
        @include media-breakpoint-up(lg) {
            margin-bottom: 80px;
        }
    }
    .copyright {
        padding: 0 0 20px;
        .policy {
            margin-bottom: 20px;
            @include media-breakpoint-up(lg) {
                margin-bottom: 0;
            }
        }
        .row-text {
            margin: 0 20px 8px;
            padding: 0;
            @include media-breakpoint-up(lg) {
                margin-right: 20px;
            }
        }
    }
}
